com.icesoft.faces.component.datapaginator

## Class DataPaginator

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGroup
        - - com.icesoft.faces.component.datapaginator.DataPaginator

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class DataPaginator
      extends javax.faces.component.html.HtmlPanelGroup
      implements javax.faces.component.ActionSource, java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlPanelGroup

      `javax.faces.component.html.HtmlPanelGroup.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `FACET_FAST_FORWARD`
    `static java.lang.String` | `FACET_FAST_REWIND`
    `static java.lang.String` | `FACET_FIRST`
    `static java.lang.String` | `FACET_LAST`
    `static java.lang.String` | `FACET_NEXT`
    `static java.lang.String` | `FACET_PREVIOUS`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataPaginator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(javax.faces.event.ActionListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `protected void` | `broadcastToActionListener(PaginatorActionEvent event)`
    `void` | `decode(javax.faces.context.FacesContext context)`
    `protected javax.faces.component.UIData` | `findUIData()` Return the instance of `UIData` associated to this component.
    `javax.faces.el.MethodBinding` | `getAction()`
    `javax.faces.el.MethodBinding` | `getActionListener()`
    `javax.faces.event.ActionListener[]` | `getActionListeners()`
    `java.lang.String` | `getBaseStyleClass()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getDisplayedRowsCountVar()` Return the value of the `displayedRowsCountVar` property.
    `java.lang.String` | `getEnabledOnUserRole()` Return the value of the `enabledOnUserRole` property.
    `java.lang.String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getFastForward()` Return the value of the `fast forward` facet of this component.
    `javax.faces.component.UIComponent` | `getFastRewind()` Return the value of the `fast rewind` facet of this component.
    `int` | `getFastStep()` Return the value of the `fastStep` property.
    `javax.faces.component.UIComponent` | `getFirst()` Return the value of the `first` facet of this component.
    `int` | `getFirstRow()` Return the value of the `first` property.
    `java.lang.String` | `getFirstRowIndexVar()` Return the value of the `firstRowIndexVar` property.
    `java.lang.String` | `getFor()` Return the value of the `for` property.
    `javax.faces.component.UIComponent` | `getLast()` Return the value of the `last` facet of this component.
    `java.lang.String` | `getLastRowIndexVar()` Return the value of the `lastRowIndexVar` property.
    `javax.faces.component.UIComponent` | `getNext()` Return the value of the `next` facet of this component.
    `int` | `getPageCount()` Return the value of the `pageCount` property.
    `java.lang.String` | `getPageCountVar()` Return the value of the `pageCountVar` property.
    `int` | `getPageIndex()` Return the value of the `pageIndex` property.
    `java.lang.String` | `getPageIndexVar()` Return the value of the `pageIndexVar` property.
    `java.lang.String` | `getPaginatorActiveColumnClass()` Return the value of the `paginatorActiveColumnClass` property.
    `java.lang.String` | `getPaginatorColumnClass()` Return the value of the `paginatorColumnClass` property.
    `int` | `getPaginatorMaxPages()` Return the value of the `paginatorMaxPages` property.
    `java.lang.String` | `getPaginatorTableClass()` Return the value of the `paginatorTableClass` property.
    `javax.faces.component.UIComponent` | `getPrevious()` Return the value of the `previous` facet of this component.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRendererType()`
    `boolean` | `getRendersChildren()` Return a flag indicating whether this component is responsible for rendering its child components.
    `int` | `getRowCount()` Return the value of the `rowCount` property.
    `int` | `getRows()` Return the value of the `rows` property.
    `java.lang.String` | `getRowsCountVar()` Return the value of the `rowsCountVar` property.
    `java.lang.String` | `getscrollButtonCellClass()` Return the value of the `scrollButtonCellClass` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `int` | `getTabindex()` Return the value of the `fastStep` property.
    `javax.faces.component.UIData` | `getUIData()` Return the instance of the `UIData` associated to this component.
    `void` | `gotoFastForward()` Sets the dataPaginator to the (n) number of pages forward, defined by the fastStep property
    `void` | `gotoFastRewind()` Sets the dataPaginator to the (n) number of pages back, defined by the fastStep property
    `void` | `gotoFirstPage()` Sets the dataPaginator to the first page
    `void` | `gotoLastPage()` Sets the dataPaginator to the last page
    `void` | `gotoNextPage()` Sets the dataPaginator to the next page
    `void` | `gotoPreviousPage()` Sets the dataPaginator to the previous page
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `boolean` | `isImmediate()` Return the value of the `immediate` property.
    `boolean` | `isKeyboardNavigationEnabled()`
    `boolean` | `isLastPage()` Return a boolean value, whether current page is the last page
    `boolean` | `isModelResultSet()`
    `boolean` | `isPaginator()` Return the value of the `paginator` property.
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `boolean` | `isRenderFacetsIfSinglePage()` Return the value of the `renderFacetsIfSinglePage` property.
    `boolean` | `isVertical()` Return the value of the `vertical` property.
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `removeActionListener(javax.faces.event.ActionListener listener)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setAction(javax.faces.el.MethodBinding action)`
    `void` | `setActionListener(javax.faces.el.MethodBinding actionListener)`
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setDisplayedRowsCountVar(java.lang.String displayedRowsCountVar)` Set the value of the `displayedRowsCountVar` property.
    `void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)` Set the value of the `enabledOnUserRole` property.
    `void` | `setFastForward(javax.faces.component.UIComponent previous)` Set the value of the `fast forward` facet for this component.
    `void` | `setFastRewind(javax.faces.component.UIComponent previous)` Set the value of the `fast rewind` facet for this component.
    `void` | `setFastStep(int fastStep)` Set the value of the `fastStep` property.
    `void` | `setFirst(javax.faces.component.UIComponent first)` Set the value of the `first` facet for this component.
    `void` | `setFirstRowIndexVar(java.lang.String firstRowIndexVar)` Set the value of the `firstRowIndexVar` property.
    `void` | `setFor(java.lang.String forValue)` Set the value of the `for` property.
    `void` | `setImmediate(boolean immediate)` Set the value of the `immediate` property.
    `void` | `setKeyboardNavigationEnabled(boolean keyboardNavigationEnabled)`
    `void` | `setLast(javax.faces.component.UIComponent last)` Set the value of the `last` facet for this component.
    `void` | `setLastRowIndexVar(java.lang.String lastRowIndexVar)` Set the value of the `lastRowIndexVar` property.
    `void` | `setNext(javax.faces.component.UIComponent next)` Set the value of the `next` facet for this component.
    `void` | `setPageCountVar(java.lang.String pageCountVar)` Set the value of the `pageCountVar` property.
    `void` | `setPageIndexVar(java.lang.String pageIndexVar)` Set the value of the `pageIndexVar` property.
    `void` | `setPaginator(boolean paginator)` Set the value of the `paginator` property.
    `void` | `setPaginatorMaxPages(int paginatorMaxPages)` Set the value of the `paginatorMaxPages` property.
    `void` | `setPrevious(javax.faces.component.UIComponent previous)` Set the value of the `previous` facet for this component.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setRenderFacetsIfSinglePage(boolean renderFacetsIfSinglePage)` Set the value of the `renderFacetsIfSinglePage` property.
    `void` | `setRowsCountVar(java.lang.String rowsCountVar)` Set the value of the `rowsCountVar` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTabindex(int tabindex)` Set the value of the `tabindex` property.
    `void` | `setUIData(javax.faces.component.UIData uiData)`
    `void` | `setVertical(boolean vertical)` Set the value of the `vertical` property.

    - ### Methods inherited from class javax.faces.component.html.HtmlPanelGroup

      `getLayout, setLayout`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### FACET_FIRST

          public static final java.lang.String FACET_FIRST

    - #### FACET_PREVIOUS

          public static final java.lang.String FACET_PREVIOUS

    - #### FACET_NEXT

          public static final java.lang.String FACET_NEXT

    - #### FACET_LAST

          public static final java.lang.String FACET_LAST

    - #### FACET_FAST_FORWARD

          public static final java.lang.String FACET_FAST_FORWARD

    - #### FACET_FAST_REWIND

          public static final java.lang.String FACET_FAST_REWIND

  - ### Constructor Detail

    - #### DataPaginator

          public DataPaginator()

  - ### Method Detail

    - #### getComponentType

          public java.lang.String getComponentType()

      Returns:
        COMPONENT_TYPE

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.UIComponentBase`
      Returns:
        DEFAULT_RENDERER_TYPE
      See Also:
        `UIComponent.getRendererType()`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`
      See Also:
        `UIComponentBase.queueEvent(javax.faces.event.FacesEvent)`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`
      See Also:
        `UIComponentBase.broadcast(javax.faces.event.FacesEvent)`

    - #### broadcastToActionListener

          protected void broadcastToActionListener(PaginatorActionEvent event)

    - #### getUIData

          public javax.faces.component.UIData getUIData()

      Return the instance of the `UIData` associated to this component.

    - #### setUIData

          public void setUIData(javax.faces.component.UIData uiData)

    - #### getPageIndex

          public int getPageIndex()

      Return the value of the `pageIndex` property.

    - #### getPageCount

          public int getPageCount()

      Return the value of the `pageCount` property.

    - #### getRowCount

          public int getRowCount()

      Return the value of the `rowCount` property.

    - #### getRows

          public int getRows()

      Return the value of the `rows` property.

    - #### getFirstRow

          public int getFirstRow()

      Return the value of the `first` property.

    - #### findUIData

          protected javax.faces.component.UIData findUIData()

      Return the instance of `UIData` associated to this component.

    - #### setFirst

          public void setFirst(javax.faces.component.UIComponent first)

      Set the value of the `first` facet for this component.

    - #### getFirst

          public javax.faces.component.UIComponent getFirst()

      Return the value of the `first` facet of this component.

    - #### setLast

          public void setLast(javax.faces.component.UIComponent last)

      Set the value of the `last` facet for this component.

    - #### getLast

          public javax.faces.component.UIComponent getLast()

      Return the value of the `last` facet of this component.

    - #### setNext

          public void setNext(javax.faces.component.UIComponent next)

      Set the value of the `next` facet for this component.

    - #### getNext

          public javax.faces.component.UIComponent getNext()

      Return the value of the `next` facet of this component.

    - #### setFastForward

          public void setFastForward(javax.faces.component.UIComponent previous)

      Set the value of the `fast forward` facet for this component.

    - #### getFastForward

          public javax.faces.component.UIComponent getFastForward()

      Return the value of the `fast forward` facet of this component.

    - #### setFastRewind

          public void setFastRewind(javax.faces.component.UIComponent previous)

      Set the value of the `fast rewind` facet for this component.

    - #### getFastRewind

          public javax.faces.component.UIComponent getFastRewind()

      Return the value of the `fast rewind` facet of this component.

    - #### setPrevious

          public void setPrevious(javax.faces.component.UIComponent previous)

      Set the value of the `previous` facet for this component.

    - #### getPrevious

          public javax.faces.component.UIComponent getPrevious()

      Return the value of the `previous` facet of this component.

    - #### getRendersChildren

          public boolean getRendersChildren()

      Return a flag indicating whether this component is responsible for rendering its child components.

      Overrides:
        `getRendersChildren` in class `javax.faces.component.UIComponentBase`

    - #### getAction

          public javax.faces.el.MethodBinding getAction()

      Specified by:
        `getAction` in interface `javax.faces.component.ActionSource`
      See Also:
        `ActionSource.getAction()`

    - #### setAction

          public void setAction(javax.faces.el.MethodBinding action)

      Specified by:
        `setAction` in interface `javax.faces.component.ActionSource`
      See Also:
        `ActionSource.setAction(javax.faces.el.MethodBinding)`

    - #### setActionListener

          public void setActionListener(javax.faces.el.MethodBinding actionListener)

      Specified by:
        `setActionListener` in interface `javax.faces.component.ActionSource`
      See Also:
        `ActionSource.setActionListener(javax.faces.el.MethodBinding)`

    - #### getActionListener

          public javax.faces.el.MethodBinding getActionListener()

      Specified by:
        `getActionListener` in interface `javax.faces.component.ActionSource`
      See Also:
        `ActionSource.getActionListener()`

    - #### addActionListener

          public void addActionListener(javax.faces.event.ActionListener listener)

      Specified by:
        `addActionListener` in interface `javax.faces.component.ActionSource`
      See Also:
        `ActionSource.addActionListener(javax.faces.event.ActionListener)`

    - #### getActionListeners

          public javax.faces.event.ActionListener[] getActionListeners()

      Specified by:
        `getActionListeners` in interface `javax.faces.component.ActionSource`
      See Also:
        `ActionSource.getActionListeners()`

    - #### removeActionListener

          public void removeActionListener(javax.faces.event.ActionListener listener)

      Specified by:
        `removeActionListener` in interface `javax.faces.component.ActionSource`
      See Also:
        `ActionSource.removeActionListener(javax.faces.event.ActionListener)`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### setFor

          public void setFor(java.lang.String forValue)

      Set the value of the `for` property.

    - #### getFor

          public java.lang.String getFor()

      Return the value of the `for` property.

    - #### setFastStep

          public void setFastStep(int fastStep)

      Set the value of the `fastStep` property.

    - #### getFastStep

          public int getFastStep()

      Return the value of the `fastStep` property.

    - #### setPageIndexVar

          public void setPageIndexVar(java.lang.String pageIndexVar)

      Set the value of the `pageIndexVar` property.

    - #### getPageIndexVar

          public java.lang.String getPageIndexVar()

      Return the value of the `pageIndexVar` property.

    - #### setPageCountVar

          public void setPageCountVar(java.lang.String pageCountVar)

      Set the value of the `pageCountVar` property.

    - #### getPageCountVar

          public java.lang.String getPageCountVar()

      Return the value of the `pageCountVar` property.

    - #### setRowsCountVar

          public void setRowsCountVar(java.lang.String rowsCountVar)

      Set the value of the `rowsCountVar` property.

    - #### getRowsCountVar

          public java.lang.String getRowsCountVar()

      Return the value of the `rowsCountVar` property.

    - #### setDisplayedRowsCountVar

          public void setDisplayedRowsCountVar(java.lang.String displayedRowsCountVar)

      Set the value of the `displayedRowsCountVar` property.

    - #### getDisplayedRowsCountVar

          public java.lang.String getDisplayedRowsCountVar()

      Return the value of the `displayedRowsCountVar` property.

    - #### setFirstRowIndexVar

          public void setFirstRowIndexVar(java.lang.String firstRowIndexVar)

      Set the value of the `firstRowIndexVar` property.

    - #### getFirstRowIndexVar

          public java.lang.String getFirstRowIndexVar()

      Return the value of the `firstRowIndexVar` property.

    - #### setLastRowIndexVar

          public void setLastRowIndexVar(java.lang.String lastRowIndexVar)

      Set the value of the `lastRowIndexVar` property.

    - #### getLastRowIndexVar

          public java.lang.String getLastRowIndexVar()

      Return the value of the `lastRowIndexVar` property.

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Overrides:
        `setStyle` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Overrides:
        `getStyle` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getBaseStyleClass

          public java.lang.String getBaseStyleClass()

    - #### setPaginator

          public void setPaginator(boolean paginator)

      Set the value of the `paginator` property.

    - #### isPaginator

          public boolean isPaginator()

      Return the value of the `paginator` property.

    - #### setPaginatorMaxPages

          public void setPaginatorMaxPages(int paginatorMaxPages)

      Set the value of the `paginatorMaxPages` property.

    - #### getPaginatorMaxPages

          public int getPaginatorMaxPages()

      Return the value of the `paginatorMaxPages` property.

    - #### getPaginatorTableClass

          public java.lang.String getPaginatorTableClass()

      Return the value of the `paginatorTableClass` property.

    - #### getPaginatorColumnClass

          public java.lang.String getPaginatorColumnClass()

      Return the value of the `paginatorColumnClass` property.

    - #### getscrollButtonCellClass

          public java.lang.String getscrollButtonCellClass()

      Return the value of the `scrollButtonCellClass` property.

    - #### getPaginatorActiveColumnClass

          public java.lang.String getPaginatorActiveColumnClass()

      Return the value of the `paginatorActiveColumnClass` property.

    - #### setRenderFacetsIfSinglePage

          public void setRenderFacetsIfSinglePage(boolean renderFacetsIfSinglePage)

      Set the value of the `renderFacetsIfSinglePage` property.

    - #### isRenderFacetsIfSinglePage

          public boolean isRenderFacetsIfSinglePage()

      Return the value of the `renderFacetsIfSinglePage` property.

    - #### setImmediate

          public void setImmediate(boolean immediate)

      Set the value of the `immediate` property.

      Specified by:
        `setImmediate` in interface `javax.faces.component.ActionSource`

    - #### isImmediate

          public boolean isImmediate()

      Return the value of the `immediate` property.

      Specified by:
        `isImmediate` in interface `javax.faces.component.ActionSource`

    - #### setVertical

          public void setVertical(boolean vertical)

      Set the value of the `vertical` property.

    - #### isVertical

          public boolean isVertical()

      Return the value of the `vertical` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### gotoFirstPage

          public void gotoFirstPage()

      Sets the dataPaginator to the first page

    - #### gotoPreviousPage

          public void gotoPreviousPage()

      Sets the dataPaginator to the previous page

    - #### gotoNextPage

          public void gotoNextPage()

      Sets the dataPaginator to the next page

    - #### gotoFastForward

          public void gotoFastForward()

      Sets the dataPaginator to the (n) number of pages forward, defined by the fastStep property

    - #### gotoFastRewind

          public void gotoFastRewind()

      Sets the dataPaginator to the (n) number of pages back, defined by the fastStep property

    - #### gotoLastPage

          public void gotoLastPage()

      Sets the dataPaginator to the last page

    - #### isLastPage

          public boolean isLastPage()

      Return a boolean value, whether current page is the last page

    - #### setEnabledOnUserRole

          public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

      Set the value of the `enabledOnUserRole` property.

    - #### getEnabledOnUserRole

          public java.lang.String getEnabledOnUserRole()

      Return the value of the `enabledOnUserRole` property.

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### isModelResultSet

          public boolean isModelResultSet()

    - #### isKeyboardNavigationEnabled

          public boolean isKeyboardNavigationEnabled()

    - #### setKeyboardNavigationEnabled

          public void setKeyboardNavigationEnabled(boolean keyboardNavigationEnabled)

    - #### decode

          public void decode(javax.faces.context.FacesContext context)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

    - #### setTabindex

          public void setTabindex(int tabindex)

      Set the value of the `tabindex` property.

    - #### getTabindex

          public int getTabindex()

      Return the value of the `fastStep` property.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.